> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tilt.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Account Trade Proposal

> Create a rebalance proposal for a client.



## OpenAPI

````yaml POST /api/v1/custom/org/{organization_uuid}/clients/{client_uuid}/accounts/{account_uuid}/proposal/
openapi: 3.0.3
info:
  title: TILT
  version: 0.0.1
servers: []
security: []
paths:
  /api/v1/custom/org/{organization_uuid}/clients/{client_uuid}/accounts/{account_uuid}/proposal/:
    post:
      tags:
        - api
      description: Create a rebalance proposal for a client.
      operationId: api_v1_custom_org_clients_accounts_proposal_create
      parameters:
        - in: path
          name: account_uuid
          schema:
            type: string
            format: uuid
          required: true
        - in: path
          name: client_uuid
          schema:
            type: string
            format: uuid
          required: true
        - in: path
          name: organization_uuid
          schema:
            type: string
            format: uuid
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RebalanceProposalRequest'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/RebalanceProposalRequest'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/RebalanceProposalRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RebalanceProposalResponse'
          description: ''
      security:
        - ProAPIToken: []
components:
  schemas:
    RebalanceProposalRequest:
      type: object
      properties:
        optimized_weights:
          type: array
          items:
            $ref: '#/components/schemas/OptimizedWeight'
      required:
        - optimized_weights
    RebalanceProposalResponse:
      type: object
      properties:
        proposal_uuid:
          type: string
          format: uuid
        cash_buffer_cad_amount:
          type: string
          format: decimal
          pattern: ^-?\d{0,12}(?:\.\d{0,8})?$
          nullable: true
        cash_buffer_usd_amount:
          type: string
          format: decimal
          pattern: ^-?\d{0,12}(?:\.\d{0,8})?$
          nullable: true
        orders:
          type: array
          items:
            $ref: '#/components/schemas/ClientOptimizedProposalOrder'
      required:
        - cash_buffer_cad_amount
        - cash_buffer_usd_amount
        - orders
        - proposal_uuid
    OptimizedWeight:
      type: object
      description: Serializer for the optimized weights.
      properties:
        ticker:
          type: string
          description: Symbol of the ticker
        weight:
          type: string
          format: decimal
          pattern: ^-?\d{0,1}(?:\.\d{0,10})?$
          description: Weight of the ticker
      required:
        - ticker
        - weight
    ClientOptimizedProposalOrder:
      type: object
      properties:
        ticker:
          type: string
        ticker_symbol:
          type: string
          nullable: true
        amount:
          type: string
          format: decimal
          pattern: ^-?\d{0,10}(?:\.\d{0,10})?$
        amount_usd:
          type: string
          format: decimal
          pattern: ^-?\d{0,10}(?:\.\d{0,10})?$
          nullable: true
        type:
          $ref: '#/components/schemas/ClientPortfolioOrderType'
        order_category:
          $ref: '#/components/schemas/OrderCategoryEnum'
        reason:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/ClientOptimizedProposalOrderReasonEnum'
            - $ref: '#/components/schemas/BlankEnum'
            - $ref: '#/components/schemas/NullEnum'
        existing_quantity:
          type: string
          format: decimal
          pattern: ^-?\d{0,10}(?:\.\d{0,10})?$
          nullable: true
        existing_weight:
          type: string
          format: decimal
          pattern: ^-?\d{0,10}(?:\.\d{0,10})?$
          nullable: true
        existing_market_value:
          type: string
          format: decimal
          pattern: ^-?\d{0,10}(?:\.\d{0,10})?$
          nullable: true
        target_weight:
          type: string
          format: decimal
          pattern: ^-?\d{0,10}(?:\.\d{0,10})?$
          nullable: true
        tax_lots:
          type: array
          items:
            $ref: '#/components/schemas/ClientOptimizedProposalOrderTaxLot'
          nullable: true
        fx_cost_breakdown:
          allOf:
            - $ref: '#/components/schemas/ClientOptimizedProposalOrderFXCostBreakdown'
          nullable: true
      required:
        - amount
        - fx_cost_breakdown
        - tax_lots
        - ticker
        - ticker_symbol
        - type
    ClientPortfolioOrderType:
      enum:
        - qty
        - notional
      type: string
      description: |-
        * `qty` - Qty
        * `notional` - Notional
    OrderCategoryEnum:
      enum:
        - long
        - short_order
        - short_cover
      type: string
      description: |-
        * `long` - Long
        * `short_order` - Short Order
        * `short_cover` - Short Cover
    ClientOptimizedProposalOrderReasonEnum:
      enum:
        - removed_from_target
        - added_to_target
        - weight_decreased
        - weight_increased
      type: string
      description: |-
        * `removed_from_target` - Removed From Target
        * `added_to_target` - Added To Target
        * `weight_decreased` - Weight Decreased
        * `weight_increased` - Weight Increased
    BlankEnum:
      enum:
        - ''
    NullEnum:
      enum:
        - null
    ClientOptimizedProposalOrderTaxLot:
      type: object
      properties:
        cost_basis:
          type: string
          format: decimal
          pattern: ^-?\d{0,10}(?:\.\d{0,10})?$
        quantity:
          type: string
          format: decimal
          pattern: ^-?\d{0,10}(?:\.\d{0,10})?$
        trade_date:
          type: string
          format: date
        gain:
          type: string
          format: decimal
          pattern: ^-?\d{0,10}(?:\.\d{0,10})?$
      required:
        - cost_basis
        - gain
        - quantity
        - trade_date
    ClientOptimizedProposalOrderFXCostBreakdown:
      type: object
      properties:
        base_amount_usd:
          type: string
          format: decimal
          pattern: ^-?\d{0,10}(?:\.\d{0,10})?$
        fx_rate:
          type: string
          format: decimal
          pattern: ^-?\d{0,10}(?:\.\d{0,10})?$
        fx_fee_percentage:
          type: string
          format: decimal
          pattern: ^-?\d{0,10}(?:\.\d{0,10})?$
        fx_fee_amount_usd:
          type: string
          format: decimal
          pattern: ^-?\d{0,10}(?:\.\d{0,10})?$
        net_amount_usd:
          type: string
          format: decimal
          pattern: ^-?\d{0,10}(?:\.\d{0,10})?$
        currency:
          $ref: '#/components/schemas/CurrencyEnum'
      required:
        - base_amount_usd
        - currency
        - fx_fee_amount_usd
        - fx_fee_percentage
        - fx_rate
        - net_amount_usd
    CurrencyEnum:
      enum:
        - USD
        - EUR
        - GBP
        - JPY
        - CAD
      type: string
      description: |-
        * `USD` - Usd
        * `EUR` - Eur
        * `GBP` - Gbp
        * `JPY` - Jpy
        * `CAD` - Cad
  securitySchemes:
    ProAPIToken:
      type: apiKey
      in: header
      name: X-Api-Key

````